## NMWimaxNsp

NMWimaxNsp

## Functions

const char * | nm_wimax_nsp_get_name ()
guint32 | nm_wimax_nsp_get_signal_quality ()
NMWimaxNspNetworkType | nm_wimax_nsp_get_network_type ()
GPtrArray * | nm_wimax_nsp_filter_connections ()
gboolean | nm_wimax_nsp_connection_valid ()

## Types and Values

#define | NM_WIMAX_NSP_NAME
#define | NM_WIMAX_NSP_SIGNAL_QUALITY
#define | NM_WIMAX_NSP_NETWORK_TYPE

## Description

## Functions

### nm_wimax_nsp_get_name ()

    const char *
    nm_wimax_nsp_get_name (NMWimaxNsp *nsp);

`nm_wimax_nsp_get_name` has been deprecated since version 1.22 and should not be used in newly-written code.

WiMAX is no longer supported by NetworkManager since 1.2.0.

Gets the name of the wimax NSP

#### Parameters

nsp | a NMWimaxNsp |

#### Returns

the name

### nm_wimax_nsp_get_signal_quality ()

    guint32
    nm_wimax_nsp_get_signal_quality (NMWimaxNsp *nsp);

`nm_wimax_nsp_get_signal_quality` has been deprecated since version 1.22 and should not be used in newly-written code.

WiMAX is no longer supported by NetworkManager since 1.2.0.

Gets the WPA signal quality of the wimax NSP.

#### Parameters

nsp | a NMWimaxNsp |

#### Returns

the signal quality

### nm_wimax_nsp_get_network_type ()

    NMWimaxNspNetworkType
    nm_wimax_nsp_get_network_type (NMWimaxNsp *nsp);

`nm_wimax_nsp_get_network_type` has been deprecated since version 1.22 and should not be used in newly-written code.

WiMAX is no longer supported by NetworkManager since 1.2.0.

Gets the network type of the wimax NSP.

#### Parameters

nsp | a NMWimaxNsp |

#### Returns

the network type

### nm_wimax_nsp_filter_connections ()

    GPtrArray *
    nm_wimax_nsp_filter_connections (NMWimaxNsp *nsp,
                                     const GPtrArray *connections);

`nm_wimax_nsp_filter_connections` has been deprecated since version 1.22 and should not be used in newly-written code.

WiMAX is no longer supported by NetworkManager since 1.2.0.

Filters a given array of connections for a given NMWimaxNsp object and return connections which may be activated with the NSP. Any returned connections will match the `nsp` 's network name and other attributes.

#### Parameters

nsp | an NMWimaxNsp to filter connections for |
connections | an array of NMConnections to filter. | [element-type NMConnection]

#### Returns

an array of NMConnections that could be activated with the given `nsp` . The array should be freed with `g_ptr_array_unref()` when it is no longer required.

[transfer full][element-type NMConnection]

### nm_wimax_nsp_connection_valid ()

    gboolean
    nm_wimax_nsp_connection_valid (NMWimaxNsp *nsp,
                                   NMConnection *connection);

`nm_wimax_nsp_connection_valid` has been deprecated since version 1.22 and should not be used in newly-written code.

WiMAX is no longer supported by NetworkManager since 1.2.0.

Validates a given connection against a given WiMAX NSP to ensure that the connection may be activated with that NSP. The connection must match the `nsp` 's network name and other attributes.

#### Parameters

nsp | an NMWimaxNsp to validate `connection` against |
connection | an NMConnection to validate against `nsp` |

#### Returns

`TRUE` if the connection may be activated with this WiMAX NSP, `FALSE` if it cannot be.

## Types and Values

### NM_WIMAX_NSP_NAME

    #define NM_WIMAX_NSP_NAME           "name"

### NM_WIMAX_NSP_SIGNAL_QUALITY

    #define NM_WIMAX_NSP_SIGNAL_QUALITY "signal-quality"

### NM_WIMAX_NSP_NETWORK_TYPE

    #define NM_WIMAX_NSP_NETWORK_TYPE   "network-type"